Skip to main content
`Ctrl`+`K`

# PetscSectionSetFromOptions

sets parameters in a `PetscSection` from the options database

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionSetFromOptions(PetscSection s)

Collective

## Input Parameter

- s - the `PetscSection`

## Options Database Key

- -petscsection_point_major - `PETSC_TRUE` for point-major order

## See Also

PetscSection, `PetscSection`, `PetscSectionCreate()`, `PetscSectionDestroy()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages